Skip to content

Supplier Check in RNP

The “Supplier Check in RNP” endpoint allows you to retrieve information about a supplier’s presence in the Register of Unscrupulous Suppliers (RNP) using their INN (Taxpayer Identification Number).

GET https://api-v2.multitender.ru/rnp/check-supplier
Parameter NameRequiredDescription
supplierINNYesSupplier’s INN
apikeyYesYour API key
formatNoResponse format (xml or json). Default: xml
https://api-v2.multitender.ru/rnp/check-supplier?supplierInn=7707083893&apikey=.....
https://api-v2.multitender.ru/rnp/check-supplier?supplierInn=7707083893&format=json&apikey=.....

The response contains information about the supplier’s presence in the RNP. The structure differs slightly between XML and JSON formats.

<response>
<supplierINN>7707083893</supplierINN>
<supplierName>LLC "COMPANY"</supplierName>
<inRNP>true</inRNP>
<entries>
<entry>
<registrationNumber>RNP-0001234-01/2024</registrationNumber>
<registrationDate>2024-01-15</registrationDate>
<reason>Improper fulfillment of contract obligations</reason>
<contractNumber>0373100001223000123</contractNumber>
<excludeDate>2026-01-15</excludeDate>
<federalLaw>44-FZ</federalLaw>
<customerName>CITY ADMINISTRATION</customerName>
<customerINN>7701234567</customerINN>
</entry>
</entries>
</response>
<response>
<supplierINN>7707083893</supplierINN>
<supplierName>LLC "COMPANY"</supplierName>
<inRNP>false</inRNP>
<entries/>
</response>
FieldTypeDescription
supplierINNstringSupplier’s INN
supplierNamestringSupplier’s name
inRNPbooleanWhether the supplier is in the RNP
entriesarrayList of RNP entries
entries[].registrationNumberstringRNP entry registration number
entries[].registrationDatedateDate of inclusion in RNP
entries[].reasonstringReason for inclusion in RNP
entries[].contractNumberstringContract number where violation occurred
entries[].excludeDatedateDate of exclusion from RNP
entries[].federalLawstringFederal law (44-FZ, 223-FZ, etc.)
entries[].customerNamestringCustomer’s name
entries[].customerINNstringCustomer’s INN
CodeDescription
400Invalid request parameters
401Invalid or missing API key
404Supplier not found
429Rate limit exceeded
500Internal server error
  • RNP data is updated daily
  • A supplier may have multiple entries in the RNP simultaneously
  • After the expiration date (excludeDate), the entry is automatically removed from the register
  • Presence in the RNP may serve as grounds for rejecting a bid to participate in a procurement
Multitender.ru